# Uses of Interface
javax.xml.crypto.dsig.keyinfo.KeyInfo

Packages that use KeyInfo
Package
Description
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of KeyInfo in javax.xml.crypto

Methods in javax.xml.crypto with parameters of type KeyInfo
Modifier and Type
Method
Description
`abstract KeySelectorResult`
KeySelector.`select(KeyInfo keyInfo, KeySelector.Purpose purpose, AlgorithmMethod method, XMLCryptoContext context)`
Attempts to find a key that satisfies the specified constraints.

## Uses of KeyInfo in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
XMLSignature.`getKeyInfo()`
Returns the key info of this `XMLSignature`.
Methods in javax.xml.crypto.dsig with parameters of type KeyInfo
Modifier and Type
Method
Description
`abstract XMLSignature`
XMLSignatureFactory.`newXMLSignature(SignedInfo si, KeyInfo ki)`
Creates an `XMLSignature` and initializes it with the contents of the specified `SignedInfo` and `KeyInfo` objects.
`abstract XMLSignature`
XMLSignatureFactory.`newXMLSignature(SignedInfo si, KeyInfo ki, List<? extends XMLObject> objects, String id, String signatureValueId)`
Creates an `XMLSignature` and initializes it with the specified parameters.

## Uses of KeyInfo in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that return KeyInfo
Modifier and Type
Method
Description
`abstract KeyInfo`
KeyInfoFactory.`newKeyInfo(List<? extends XMLStructure> content)`
Creates a `KeyInfo` containing the specified list of key information types.
`abstract KeyInfo`
KeyInfoFactory.`newKeyInfo(List<? extends XMLStructure> content, String id)`
Creates a `KeyInfo` containing the specified list of key information types and optional id.
`abstract KeyInfo`
KeyInfoFactory.`unmarshalKeyInfo(XMLStructure xmlStructure)`
Unmarshals a new `KeyInfo` instance from a mechanism-specific `XMLStructure` (ex: `DOMStructure`) instance.